{
  onSideStart(targetSide) {
    this.add("-sidestart", targetSide, "Dragon Crystal");
  },
  onDamagingHitOrder: 1,
  onDamagingHit(damage, target, source, move) {
    if (move.id === "brickbreak" || move.id === "psychicsnap" || move.id === "hypervoice" || move.id === "boomburst" || move.id === "sonicshriek" || move.id === "overdrive" || move.id === "rapidspin" || move.id === "mortalspin" || move.id === "whiparound" || move.id === "explosion" || move.id === "selfdestruct" || move.id === "pumpkinbomb" || move.id === "mistyexplosion") {
      target.side.removeSideCondition("dragoncrystal");
    }
  },
  onResidualOrder: 5,
  onResidualSubOrder: 4,
  onResidual(pokemon) {
    this.heal(pokemon.baseMaxhp / 6);
  },
  onSideResidualOrder: 26,
  onSideResidualSubOrder: 9,
  onSideEnd(targetSide) {
    this.add("-sideend", targetSide, "Dragon Crystal");
  }
}